Skip to main content
GET
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
student-sessions
/
{id}
Get by ID sessions student session
curl --request GET \
  --url https://test-api.afrainity.com/api/v1/school/sessions/{session_pk}/student-sessions/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "academic_class": {
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "session": {
      "name": "<string>",
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "is_deleted": true,
      "is_active": true,
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "number_of_students": -1,
    "teacher": {
      "first_name": "<string>",
      "last_name": "<string>",
      "id_number": "<string>",
      "phone": "<string>",
      "gender": "Male",
      "ec_number": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "is_active": true,
      "date_joined": "2023-11-07T05:31:56Z",
      "is_deleted": true,
      "subjects": "<unknown>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "student": {
    "first_name": "<string>",
    "last_name": "<string>",
    "birth_number": "<string>",
    "gender": "Male",
    "phone": "<string>",
    "church": "<string>",
    "admission_year": "<string>",
    "previous_school": "<string>",
    "form": "<string>",
    "date_of_admission": "2023-12-25",
    "address": "<string>",
    "status": "Boarding",
    "guardian_name": "<string>",
    "relationship": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "date_of_birth": "2023-12-25",
    "term": "1",
    "admission_number": "<string>",
    "units": 100,
    "health_condition": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "is_deleted": true,
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

academic_class_pk
string<uuid>
required

Academic class UUID

id
string<uuid>
required

Student session UUID

session_pk
string<uuid>
required

Academic session UUID

Response

200 - application/json

Auto-populate created_by from request.user when available.

academic_class
object
required

Auto-populate created_by from request.user when available.

id
string<uuid>
student
object

Auto-populate created_by from request.user when available.

created_at
string<date-time>
updated_at
string<date-time>